<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>var-let</title>
</head>
<body>
<script>
    var num = 5;
    if (num > 0) {
        var num = 10;
        console.log("inner var " + num); // 10
    }
    console.log("outer var " + num); // 10

    let mun = 5;
    if (mun > 0) {
        let mun = 10;
        console.log("inner let " + mun); // 10
    }
    console.log("outer let " + mun); // 5

    const obj = {
        first: 1
    };
    obj.first = 2;
    console.log(obj.first); // 2
</script>
</body>
</html>